XmetaXtool: control and integration | Option GLXplus: Tunneling OpenGL through GLX XmetaXtool: configuration with graphical user interface

# XmetaXtool: control and integration

The command line mode of the xmetaxtool program allows to control runtime configuration changes through a script, which can be associated, for instance, to a window manager action.

The client connection of the XmetaX proxy (X Window client connection) which has to be configured is specified on the command line, unless the environment variable $DISPLAY is set appropriately:

    /opt/XSOXmetaX/bin/xmetaxtool -noGui [-display display_name] \
        configuration_statement...

The configuration_statements (Configuration of the XmetaX proxy) on the command line are added to the existing configuration. Nevertheless, it is possible to remove a screen from a configuration using the delete sub-statement (Screen).

## Printing a configuration

The following command prints the configuration of an XmetaX proxy as configuration statements (Configuration of the XmetaX proxy) on the standard output stream:

    /opt/XSOXmetaX/bin/xmetaxtool [-display display_name] \
        -print [argument...][verbose]

The additional arguments determine the type of information to be printed:

all lets the xmetaxtool program print the complete configuration.

metaScreens prints the the meta screen statements only.

metaScreen name prints the configuration of an individual meta screen.

screens prints the screen statements only.

screen name prints the configuration of an individual screen.

misc prints all configuration parameters which are not associated with a meta screen or screen.

Only those parameters are printed which differ from the default configuration, unless the additional argument verbose is specified.

## Reporting configuration changes

The following command prints on the standard output stream one line for each configuration change of an XmetaX proxy:

    /opt/XSOXmetaX/bin/xmetaxtool [-display display_name] \
        -events

The output lines follow the format:

    metaScreen|screen name changed|created|destroyed

Combined with the option Failsafe (Failsafe operation) this allows to react timely to the break-down of an X Window Server.

## Terminating the XmetaX proxy

The following command lets the corresponding XmetaX proxy terminate itself:

    /opt/XSOXmetaX/bin/xmetaxtool [-display display_name] \
        -terminate

This may be used, for instance, for automatically re-starting the X Window environment after a configuration change.

top
Option GLXplus: Tunneling OpenGL through GLX
XmetaXtool: configuration with graphical user interface

Copyright © 2021 X-Software GmbH
info@x-software.com